$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.308-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.308-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CC88DE45A14E469FE2C4C302167AEB8E84FFE2EFE7C67D8A45D87413C098A532'
  checksumType = 'sha256'
  checksum64 = 'CC88DE45A14E469FE2C4C302167AEB8E84FFE2EFE7C67D8A45D87413C098A532'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.308-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
